#ifndef ARMADILLO_H
#define ARMADILLO_H

#undef outb
#define outb(v,p) __raw_writeb(v,__io(ISAIO8_BASE+p))
#undef inb
#define inb(p) __raw_readb(__io(ISAIO8_BASE+p))
#undef outw
#define outw(v,p) __raw_writew(v,__io(ISAIO16_BASE+p))
#undef inw
#define inw(p) __raw_readw(__io(ISAIO16_BASE+p))
#undef outsb
#define outsb(p,d,l) __raw_writesb(__io(ISAIO8_BASE+p),d,l)
#undef insb
#define insb(p,d,l) __raw_readsb(__io(ISAIO8_BASE+p),d,l)
#undef outsw
#define outsw(p,d,l) __raw_writesw(__io(ISAIO16_BASE+p),d,l)
#undef insw
#define insw(p,d,l) __raw_readsw(__io(ISAIO16_BASE+p),d,l)

#define ISAIO8_PHYS      (MISC8_START + 0x2000000)
#define ISAMEM8_PHYS     (MISC8_START + 0x3000000)
#define ISAIO16_PHYS     (MISC16_START + 0x2000000)
#define ISAMEM16_PHYS    (MISC16_START + 0x3000000)

#undef bus_ioremap
#define bus_ioremap(b,s,n)	ioremap(ISAMEM8_PHYS + s,n)

#endif
